// Program for using continuous rotation servos

#include <Servo.h>


Servo rmotor; // create servo object to control a servo
Servo lmotor; // create servo object to control a servo

int rspeed = 0; // variable to store the servo position or speed
int lspeed = 0; // variable to store the servo position or speed

const int rIR = 8;     // pin for front IR bump sensor on right side
const int lIR = 3;     // pin for front IR bump sensor on left side

int rIRState = 0;         //make sue IR 
int lIRState = 0; 

void setup()
{

rmotor.attach(10); // attaches the servo on pin 9 to the servo object rmotor
lmotor.attach(11); // attaches the servo on pin 10 to the servo object lmotor
 // initialize the pushbutton pin as an input:
  pinMode(rIR, INPUT);
  pinMode(lIR, INPUT);
}

void loop()
{
rspeed = 90; //set position variable to stop
lspeed = 90; //set position variable to stop
rmotor.write(rspeed); // tell servo to move as indicated by  variable 'rspeed'
lmotor.write(lspeed); // tell servo to move as indicated by  variable 'lspeed'


while (lIRState+rIRState == 0){
  // read the state of the pushbutton value:

  lIRState = digitalRead(lIR);
  rIRState = digitalRead(rIR);
}

delay(500);

  if (rIRState == 1) { 
rspeed = 90; //set position variable
lspeed = 180; //set position variable
rmotor.write(rspeed); // tell servo to move as indicated by  variable 'rspeed'
lmotor.write(lspeed); // tell servo to move as indicated by  variable 'lspeed'
delay(1000); //time for the servo to move    
   
  } 
  else if (lIRState == 1) {
   rspeed = 0; //set position variable
lspeed = 90; //set position variable
rmotor.write(rspeed); // tell servo to move as indicated by  variable 'rspeed'
lmotor.write(lspeed); // tell servo to move as indicated by  variable 'lspeed'
delay(1000); //time for the servo to move  

  }
rspeed = 0; //set position variable
lspeed = 180; //set position variable
rmotor.write(rspeed); // tell servo to move as indicated by  variable 'rspeed'
lmotor.write(lspeed); // tell servo to move as indicated by  variable 'lspeed'
delay(1000); //time for the servo to move


  lIRState = digitalRead(lIR);
  rIRState = digitalRead(rIR);


}

